#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.8.9"

# Clone Upstream
git clone --recurse-submodules https://github.com/abenz1267/walker.git -b v"$VERSION"
cp -rvf ./Makefile ./walker/
cp -rvf ./debian ./walker/
cd ./walker


# Get build deps
LOGNAME=root dh_make --createorig -y -l -p walker_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
